// $Id: window.js 4510 2006-09-21 11:47:02Z slip $
/**
 * The southprojects DHTML Window
 *
 * Copyright (c) 2006 by SouthProjects
 * http://www.southprojects.com
 * Santiago, Chile,
 * Version 1.2 Dec 2006.
 * All rights reserved.
 *
 * Windows Widget
 * $$
 *
 */

southprojects.windowPath = southprojects.getPath("southprojects.WindowWidget");

// Include required scripts
southprojects.Transport.include(southprojects.southprojectsPath + 'button.js', "southprojects.Button");
southprojects.Transport.include(southprojects.southprojectsPath + 'dndmodule.js', "southprojects.DnD");
southprojects.Transport.include(southprojects.southprojectsPath + 'progress.js', "southprojects.Progress");
southprojects.Transport.include(southprojects.southprojectsPath + 'pane.js', "southprojects.Pane");

southprojects.Transport.include(southprojects.windowPath + 'window-core.js', "southprojects.Window");
southprojects.Transport.include(southprojects.windowPath + 'window-setup.js');
southprojects.Transport.include(southprojects.windowPath + 'window-globals.js');
southprojects.Transport.include(southprojects.windowPath + 'window-states-modes.js');
southprojects.Transport.include(southprojects.windowPath + 'window-controlling.js');
southprojects.Transport.include(southprojects.windowPath + 'window-utils.js');

southprojects.Utils.addEvent(window, 'load', southprojects.Utils.checkActivation);
